package com.gtiit.shr.entity.dto;

public class PunchCardInfo {
    private String EquNo;
    private String CardId;
    private String RecDate;
    private String RecTime;

    public String toPunchCardString() {
        return "{'EquNo':'" + this.EquNo + "','CardId':'" + this.CardId + "','RecDate':'" + this.RecDate + "','RecTime':'" + this.RecTime + "'}";
    }


    public String getEquNo() {
        return this.EquNo;
    }

    public String getCardId() {
        return this.CardId;
    }

    public String getRecDate() {
        return this.RecDate;
    }

    public String getRecTime() {
        return this.RecTime;
    }

    public void setEquNo(final String EquNo) {
        this.EquNo = EquNo;
    }

    public void setCardId(final String CardId) {
        this.CardId = CardId;
    }

    public void setRecDate(final String RecDate) {
        this.RecDate = RecDate;
    }

    public void setRecTime(final String RecTime) {
        this.RecTime = RecTime;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PunchCardInfo)) {
            return false;
        } else {
            PunchCardInfo other = (PunchCardInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label59: {
                    Object this$EquNo = this.getEquNo();
                    Object other$EquNo = other.getEquNo();
                    if (this$EquNo == null) {
                        if (other$EquNo == null) {
                            break label59;
                        }
                    } else if (this$EquNo.equals(other$EquNo)) {
                        break label59;
                    }

                    return false;
                }

                Object this$CardId = this.getCardId();
                Object other$CardId = other.getCardId();
                if (this$CardId == null) {
                    if (other$CardId != null) {
                        return false;
                    }
                } else if (!this$CardId.equals(other$CardId)) {
                    return false;
                }

                Object this$RecDate = this.getRecDate();
                Object other$RecDate = other.getRecDate();
                if (this$RecDate == null) {
                    if (other$RecDate != null) {
                        return false;
                    }
                } else if (!this$RecDate.equals(other$RecDate)) {
                    return false;
                }

                Object this$RecTime = this.getRecTime();
                Object other$RecTime = other.getRecTime();
                if (this$RecTime == null) {
                    if (other$RecTime != null) {
                        return false;
                    }
                } else if (!this$RecTime.equals(other$RecTime)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PunchCardInfo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $EquNo = this.getEquNo();
        result = result * 59 + ($EquNo == null ? 43 : $EquNo.hashCode());
        Object $CardId = this.getCardId();
        result = result * 59 + ($CardId == null ? 43 : $CardId.hashCode());
        Object $RecDate = this.getRecDate();
        result = result * 59 + ($RecDate == null ? 43 : $RecDate.hashCode());
        Object $RecTime = this.getRecTime();
        result = result * 59 + ($RecTime == null ? 43 : $RecTime.hashCode());
        return result;
    }

    public String toString() {
        return "PunchCardInfo(EquNo=" + this.getEquNo() + ", CardId=" + this.getCardId() + ", RecDate=" + this.getRecDate() + ", RecTime=" + this.getRecTime() + ")";
    }
}
